1 Reply Latest reply: Aug 1, 2012 3:33 AM by Paul_31
DDMMDDMM Level 1 (0 points)

I have an early 2009 iMac running 10.5.8, which I would like to upgrade to at least 10.6.x.

can't use the App store, what options do I have?


iMac, Mac OS X (10.5.8), MacBook
  • Paul_31 Level 6 (13,550 points)

    You need to buy the full retail version of Snow Leopard. Apparently disks are becoming difficult to find in stores so I guess your best bet would be to phone the Apple Store in your country and order one that way.

    If you manage to find a copy elsewhere make sure it is a full retail installer and not a grey disk, which are machine specific.